Index: org/postgresql/test/jdbc2/DateTest.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/test/jdbc2/DateTest.java,v
retrieving revision 1.5
diff -c -p -r1.5 DateTest.java
*** org/postgresql/test/jdbc2/DateTest.java	14 Aug 2002 20:35:40 -0000	1.5
--- org/postgresql/test/jdbc2/DateTest.java	4 Aug 2003 13:17:06 -0000
*************** public class DateTest extends TestCase
*** 132,137 ****
--- 132,166 ----
  		rs.close();
  		st.close();
  	}
+ 	
+ 	public void testCalendars()
+ 	{
+ 		try 
+ 		{
+ 			java.sql.Date tmpDate = new java.sql.Date(659600000);
+ 			PreparedStatement pstmt = con.prepareStatement("Insert into testdate values (?)");
+ 			ResultSet rs;
+ 			java.util.Calendar local = java.util.Calendar.getInstance();
+ 		
+ 			pstmt.setDate(1, tmpDate, local);
+ 			pstmt.executeUpdate();
+ 			
+ 			pstmt.setDate(1, tmpDate);
+ 			pstmt.executeUpdate();
+ 			
+ 			rs = con.createStatement().executeQuery("select * from testdate");
+ 			
+ 			assertTrue(rs.next());
+ 			assertEquals(tmpDate.toString(),rs.getDate(1).toString());
+ 			
+ 			assertTrue(rs.next());
+ 			assertEquals(tmpDate.toString(),rs.getDate(1,local).toString());
+ 		}
+ 		catch (SQLException sqle)
+ 		{
+ 			fail(sqle.getMessage());
+ 		}
+ 	}
  
  	private java.sql.Date makeDate(int y, int m, int d)
  	{
